Subject: RE: How to announce ethernet capabilities in GMPLS

From: <[email-masked]>
Date: Mon, 8 May 2006 17:45:30 +0200

Hi Freek, 

I think there are two separate issues here:
- The definition of an LSP in the LSC switching region between 2
Ethernet switches (through the PXC), and
- The definition of LSP in the L2SC switching regions through a number
of Ethernet switches.

For the former, the WAN-PHY / LAN-PHY question seems relevant. I'd say
this is (should be) somehow part of the G-PID for the LSP between the
switches.

For the latter, the VLAN/no-VLAN question seems relevant (this belongs
to the GELS work I think). Although you could argue that also for the
inter-switch LSP this information might be relevant; you may not want to
cross-connect a trunk port with a non-trunk port. If the encoding do not
match, you may not be able to setup 'Ethernet' LSPs.

Which is your concern? (Note, to me, both appear to be areas of
development)

An overview of GMPLS parameters can be found at:
http://www.iana.org/numbers.html#G

cheers,
	Eduard

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Freek Dijkstra
> Sent: woensdag 3 mei 2006 17:46
> To: [email-masked]
> Subject: How to announce ethernet capabilities in GMPLS
> 
> Hi,
> 
> I have a question about GMPLS.
> 
> My interest is mostly scientific in nature; and after reading a few
> RFC's and internet drafts, I still found no satisfying answer. I may
> have overlooked it.
> 
> How would you specify the encoding type for a link with IEEE 
> 802.1q VLAN
> tags versus a link which can not do that?
> And related, how to distinguish between WAN PHY and LAN PHY encoding?
> 
> Imagine a small network with 3 or 4 layer 2 switches, with all
> interfaces connected to one central photonic cross connect (MEMS
> device). In such a case, it is useful to know the above details.
> 
> 
> If I'm correct, a Layer 2 switch announces the capabilities of each
> interface using a link state advertisement (LSA).
> 
> A LSA seems to contain at least
> - "LSP encoding type" and
> - "switching type".
> 
> In all cases, the parameters seem to be "Ethernet" and "L2SC" 
> respectively.
> 
> At least draft-papadimitriou-enhanced-lsps-04 explictly says that WAN
> PHY and LAN PHY both fall in the Ethernet "LSP Encoding Type".
> 
> draft-dimitri-gels-framework-00 seems to suggest that perhaps new
> encoding types must be invented. I take it that I misunderstood, and
> this will be defined in the "Switching Capability-Specific 
> Information"
> part of the LSA.
> 
> I tried looking, and Adrian's excellent Internet and it's protocols
> lists that the "Switching Capability-Specific Information" for L2SC
> only lists "minimum bandwidth" and "MTU".
> 
> Am I correct that the GELS working group will look into extensions for
> this purpose? I'm currently not interested (yet) in the specific
> details, but mostly in the general idea here. Is there by any chance a
> list of already defined "Switching Capability-Specific Information"
> parameters for other layers? Perhaps a list of internet drafts to go
> through.
> 
> I might be wrong here somewhere -- somehow WAN/LAN PHY and IEEE 802.1q
> VLAN or not capable seem other type of parameters to me then "MTU"
> (which is currently defined for L2SC). If so -- what am I missing?
> 
> Regards,
> Freek
> 
> 
>

---

From: Freek Dijkstra <[email-masked]>
Date: Mon, 08 May 2006 18:24:09 +0200

Hi Eduard,

Thanks for your response! I vary much appreciate that!

> - The definition of LSP in the L2SC switching regions through a number
[...]
> Which is your concern? (Note, to me, both appear to be areas of

I'm currently mostly interested in the former case.
Am I correct that this would typically involve two LSPs at the link
layer (L2 switch to PXC and PXC to anoother L2 switch) and a third LSP
at the ethernet layer.

> http://www.iana.org/numbers.html#G

Thanks! I did not realize that the Internet Draft on G709 did define a
few new G-PID parameters.

However, I fear I'm now slightly confused how the G-PID are announced.
They don't seem to be included in the OSPF routing messages (neither RFC
4203 not 4204 seem to mention them). Is the G-PID decided during the
signaling, or announced by the routing and taken into account during the
 path computation?

Regards,
Freek

---

From: [email-masked]
Date: Mon, 8 May 2006 18:45:17 +0200

hi - 

> Is the G-PID decided during the signaling, or announced by the routing 
> and taken into account during the path computation?

the former.

thanks,
- dimitri.

Freek Dijkstra <[email-masked]>
Sent by: [email-masked]
08/05/2006 18:24
 
        To:     [email-masked]
        cc:     [email-masked]
        Subject:        Re: How to announce ethernet capabilities in GMPLS

Hi Eduard,

[...]

Regards,
Freek